[SciPy-Dev] weave for Python3.3 ?

Arnd Baecker arnd.baecker@web...
Wed Jan 23 05:46:14 CST 2013


On Wed, 23 Jan 2013, Helmut Jarausch wrote:

> On Tue, 22 Jan 2013 19:59:33 +0100, Ralf Gommers wrote:
>
>> On Tue, Jan 22, 2013 at 6:25 PM, Pauli Virtanen <pav@iki.fi> wrote:
>>
>>> 22.01.2013 14:12, Helmut Jarausch kirjoitti:
>>>> has anybody started to update weave for Python3.3?
>>>> It's not a simple 2to3 call.
>>>
>>> Nobody, as far as I know.
>>
>>
>> And if you're considering working on that: think really hard first about
>> why you wouldn't move to Cython instead.
>>
>
> Yes, I prefer Cython myself. But weave is still part of the GIT version of
> SciPy. And that's the reason why the installation of SciPy fails for
> Python3.3 since the weave parts cannot be (pre-)compiled during install.
>
> What about removing weave altogether from SciPy?

In complete ignorance of how much work it would be to get
weave to python3.3, I can only add an end-users perspective:
we have a lot of code for our research projects which uses weave.
Only few people in our group started using cython recently,
so I don't see that we will move the well-used and tested
code over to cython in the near future....

Best, Arnd


More information about the SciPy-Dev mailing list